Bug 1160265 - Cannot select/unselect permissions while creating roles on Firefox 29
Summary: Cannot select/unselect permissions while creating roles on Firefox 29
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: UI
Version: JON 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: CR02
: JON 3.3.0
Assignee: Jirka Kremser
QA Contact: Mike Foley
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-04 13:28 UTC by Sunil Kondkar
Modified: 2014-12-11 14:01 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-12-11 14:01:06 UTC


Attachments (Terms of Use)

Description Sunil Kondkar 2014-11-04 13:28:59 UTC
Description of problem:

In Firefox 29, While creating roles, in the 'Permissions' tab, user cannot select or unselect any permission Global/Resource permission.

Clicking on any checkbox against any permission does not select it.

Version-Release number of selected component (if applicable):

Version :3.3.0.CR01 Build Number :08c2f39:6ac97ac

How reproducible:

Always

Steps to Reproduce:

-Navigate to Administration->Roles
-Click on New button
-Click on checkbox in 'Authorized?'column for any Global permission (Ex: Manage Inventory)
-Click on checkbox in 'Write?'or 'Read?' column for any Resource permission (Ex: Inventory)
-Cannot select or unselect the permissions

Actual results:

Cannot select/unselect permissions while creating roles on Firefox 29

Expected results:

Able to select/unselect permissions while creating roles on Firefox 29

Additional info:

- Works in IE9

- This was working in JON ER04 in Firefox and IE9 both

Comment 1 Jay Shaughnessy 2014-11-04 18:26:49 UTC
Verified Jirkas' Fix on master:

Master commit eb34891522557ff29d78ddff33011ed00bbc4650
Author: Jirka Kremser <jkremser@redhat.com>
Date:   Tue Nov 4 17:13:32 2014 +0100

    [BZ 1160265] - Cannot select/unselect permissions while creating roles on Firefox 29

Comment 2 Jirka Kremser 2014-11-04 18:36:51 UTC
branch:  release/jon3.3.x
link:    https://github.com/rhq-project/rhq/commit/3594ac290
time:    2014-11-04 19:31:12 +0100
commit:  3594ac2901d6e23e18ecdc30b7c92dd4c83c9701
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 1160265] - Cannot select/unselect permissions while creating roles
         on Firefox 29

         (cherry picked from commit
         eb34891522557ff29d78ddff33011ed00bbc4650) Signed-off-by: Jirka
         Kremser <jkremser@redhat.com>


Not sure about the target release so I am setting it to CR2

Comment 3 Simeon Pinder 2014-11-14 04:48:21 UTC
Moving to ON_QA as available for test with build:
https://brewweb.devel.redhat.com//buildinfo?buildID=398756

Comment 4 Sunil Kondkar 2014-11-14 07:24:30 UTC
Verified on Version : 3.3.0.GA Build Number :f8f6447:6a2b52e

Verified on Firefox and IE9


Note You need to log in before you can comment on or make changes to this bug.